Loading...
Searching...
No Matches
Halide::Internal::ReductionDomain::Compare Struct Reference

This lets you use a ReductionDomain as a key in a map of the form map<ReductionDomain, Foo, ReductionDomain::Compare>. More...

`#include <Reduction.h>`

## Public Member Functions

bool | operator() (const ReductionDomain &a, const ReductionDomain &b) const

## Detailed Description

This lets you use a ReductionDomain as a key in a map of the form map<ReductionDomain, Foo, ReductionDomain::Compare>.

Definition at line 44 of file Reduction.h.

## Member Function Documentation

## operator()()

bool Halide::Internal::ReductionDomain::Compare::operator() | ( | const ReductionDomain & | a,
|  | const ReductionDomain & | b ) const

inline

Definition at line 45 of file Reduction.h.

References Halide::Internal::IntrusivePtr< T >::defined(), internal_assert, and Halide::Internal::ReductionDomain::ReductionDomain().

The documentation for this struct was generated from the following file:

- src/Reduction.h